<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): Functions for postponing event-processing function calls</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Functions for postponing event-processing function calls</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga62705d596816b10e7d0c6ac91dcd15aa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGReplay.html#ga62705d596816b10e7d0c6ac91dcd15aa">gtg_record</a> (enum <a class="el" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009f">event_type_t</a> type, <a class="el" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a> time,...)</td></tr>
<tr class="memdesc:ga62705d596816b10e7d0c6ac91dcd15aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">postpone the recording of an event  <a href="#ga62705d596816b10e7d0c6ac91dcd15aa">More...</a><br /></td></tr>
<tr class="separator:ga62705d596816b10e7d0c6ac91dcd15aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2e5e466f37281ba7e671c00010763c9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGReplay.html#ga2e5e466f37281ba7e671c00010763c9e">gtg_write_events</a> (long nb_events_to_write)</td></tr>
<tr class="memdesc:ga2e5e466f37281ba7e671c00010763c9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">run the first nb_events_to_write events  <a href="#ga2e5e466f37281ba7e671c00010763c9e">More...</a><br /></td></tr>
<tr class="separator:ga2e5e466f37281ba7e671c00010763c9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga62705d596816b10e7d0c6ac91dcd15aa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtg_record </td>
          <td>(</td>
          <td class="paramtype">enum <a class="el" href="GTGReplay_8h.html#a3dc8b7ddb0947608b8d860bc469f009f">event_type_t</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a>&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>postpone the recording of an event </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>The type of function to postpone </td></tr>
    <tr><td class="paramname">time</td><td>The time at which the event happens </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga2e5e466f37281ba7e671c00010763c9e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtg_write_events </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>nb_events_to_write</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>run the first nb_events_to_write events </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nb_events_to_write</td><td>The number of functions to process (-1 for all functions) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
